haxml (1:1.25.13-1build2) oracular; urgency=medium

  * Rebuild against new GHC ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 May 2024 11:57:15 +0200

haxml (1:1.25.13-1build1) noble; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Nov 2023 09:49:51 +0100

haxml (1:1.25.13-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 06 Oct 2023 14:37:48 +0300

haxml (1:1.25.11-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 22 Oct 2022 13:43:25 +0300

haxml (1:1.25.9-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 19 Jul 2022 13:26:51 +0300

haxml (1:1.25.5-2) unstable; urgency=medium

  * Patch for newer base and polyparse.

 -- Clint Adams <clint@debian.org>  Sun, 07 Jun 2020 18:53:43 -0400

haxml (1:1.25.5-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 31 Aug 2019 09:58:15 -0400

haxml (1:1.25.4-4) unstable; urgency=medium

  * Patch to build with newer ghc

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 18:48:16 +0300

haxml (1:1.25.4-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:26:57 +0300

haxml (1:1.25.4-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

haxml (1:1.25.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 06 Jul 2017 22:13:05 -0400

haxml (1:1.25.3-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:16 -0400

haxml (1:1.25.3-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 01:19:20 -0400

haxml (1:1.25.3-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:21 -0500

haxml (1:1.25.3-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:11 +0200

haxml (1:1.25.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:47 +0200

haxml (1:1.25.3-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 20:50:48 +0200

haxml (1:1.23.3-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:55 +0100

haxml (1:1.23.3-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:41 +0200

haxml (1:1.23.3-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 22:38:42 +0200

haxml (1:1.22.5-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package
  * Remove random from cabal file, as this package is split out of ghc 7.4,
    and is not actually used by haxml.

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Feb 2012 19:53:03 -0400

haxml (1:1.22.5-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 13 Feb 2012 21:48:45 +0100

haxml (1:1.20.2-2) unstable; urgency=medium

  * Remove stray libghc6 reference in control
  * Standards-Version → 3.9.2, no changes required

 -- Iain Lane <laney@debian.org>  Mon, 06 Jun 2011 09:02:22 +0100

haxml (1:1.20.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * control: Remove remaining references to ghc6.
  * haxml-doc: Change package name and provides to allow versioned
    dependency on libghc6-haxml-doc.
  * libghc-haxml-doc.doc-base: Remove file.

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 27 May 2011 16:40:22 +0200

haxml (1:1.13.3-5) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Tue, 05 Apr 2011 22:26:49 +0530

haxml (1:1.13.3-4) unstable; urgency=low

  * control: haxml-doc: Provides: libghc6-haxml-doc.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 06 May 2010 09:01:23 -0300

haxml (1:1.13.3-3) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * debian/control: Remove uneeded Build-Depends: in libghc6-base-doc
    and libghc6-haskell98-doc.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7
  * Switch to 3.0 (quilt) version
  * Clean changelog via debian/clean

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 18:18:25 +0100

haxml (1:1.13.3-1) unstable; urgency=low

  * Switch back to the latest stable release of haxml, as to not break its
    reverse build dependencies
  * Thus do not depend on polyparse, remove patch adjusting the polyparse
    dependency.
  * Remove patches/09_fix-lexical-error, does not apply to this version of
    HaXml

 -- Joachim Breitner <nomeata@debian.org>  Tue, 15 Sep 2009 16:26:10 +0200

haxml (1.19.7-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream release (Closes: 539951, 527987, 464362)
  * debian/compat version 7.
  * debian/control:
    - Make Debian Haskell Group the Maintainer.
    - Standards version 3.8.3.
    - Update ghc, haddock version dependencies.
    - Update debhelper version to prevent lintian warnings.
    - Add binary package libghc6-haxml-prof.
    - Remove hugs binary packages.
    - Section haskell.
    - Build depend on libghc6-polyparse-dev.
  * New CDBS/haskell-devscipts based build to replace old debian/rules.
  * Specify LGPL-2.1 and GPL-2 in debian/copyright.
  * Point debian/watch at hackage.haskell.org.
  * Convert dpatch patches to quilt and remove unneeded patches.

 -- Joachim Breitner <nomeata@debian.org>  Mon, 07 Sep 2009 16:34:41 +0200

haxml (1.17-6) experimental; urgency=low

  * debian/control:
    - Use the new Homepage field.
  * debian/{Canonicalise.1,Xtract.1:
    - Fix spelling error(s). (Closes: #445070)
    - Update the dates, versions and my email address.

 -- Arjan Oosting <arjan@debian.org>  Tue, 09 Oct 2007 22:59:15 +0200

haxml (1.17-5) experimental; urgency=low

  * debian/control:
    - Adjust Xs-Vcs-* fields as the package has moved to the pkg-haskell
      repository on svn.debian.org.
    - Add doc-base to the Recommends of haxml-doc.
  * debian/mk-haskell-depends:
    - Small cleanups.
  * Generate links to other API documentation packages:
    - debian/control:
      + Add libghc6-base-doc and libghc6-haskell98-doc to the
        Build-Depends-Indep so haddock can link to names in other
        packages.
      + Add libghc6-base-doc and libghc6-haskell98-doc to the Recommends
        of haskell-http-doc.
   - debian/patches/10_link-to-other-docs.dpatch
      + Add the appropriate --use-package options so haddock will link to
        names in other packages.

 -- Arjan Oosting <arjan@debian.org>  Mon, 28 May 2007 17:03:59 +0200

haxml (1.17-4) experimental; urgency=low

  * Drop the use of diversions to install libhugs-haxml:
    - debian/control:
      + Make the dependency hugs versioned so we have a hugs
        which is splitted into multiple packages.
      + Add a conflicts against other libhugs-haxml packages.
    - debian/libhugs-haxml.{preinst.in,postrm.in}: dropped.
  * debian/mk-haskell-depends: update script to take installed package
    configuration files as arguments.
  * debian/rules:
    - Call mk-haskell-depends with installed package configuration file as
      argument.
    - Expose package by default after installation (Closes: #392238)
    - Enclose paths in double quotes because directories can contain
      spaces.

 -- Arjan Oosting <arjan@debian.org>  Sat, 13 Jan 2007 21:39:32 +0100

haxml (1.17-3) experimental; urgency=low

  * debian/rules: fix typo which caused HaXml.package.conf to be missing
    from the binary package. (Closes: #394307)
  * debian/patches/07_no-hscolour-cmd.dpatch: don't remove the
    --source-entity and --source-module options as haddock 0.8 is in
    unstable.
  * Stop using update-haskell-control and $ghc6_* variables, as it is not
    necessary and not using it simplifies the work for porters and for me.

 -- Arjan Oosting <arjan@debian.org>  Fri, 20 Oct 2006 22:34:59 +0200

haxml (1.17-2) experimental; urgency=low

  * debian/control.in:
    - add XS-Vcs-Svn field pointing to subversion archive which contains
      this package.
    - replace ${ghc6:Depends} with ${haskell:Depends} which is used by the
      new debian/mk-haskell-depends script.
    - change maintainer email address.
  * debian/rules:
    - replace debian/mk-ghc6-vars with debian/mk-haskell-depends script
      which determines all dependencies by using the installed package
      description file used by ghc-pkg.
    - redo the way we detect if libghc6-haxml-dev gets build.
  * debian/patches/03_build-haxml-prof.dpatch: rearranged to make other
    patches easier.
  * debian/patches/06_hcflags-support.dpatch: only use -package-name HaXml
    for library source but not for the tools. This is needed to build the
    tools with GHC 6.6.

 -- Arjan Oosting <arjan@debian.org>  Tue, 17 Oct 2006 03:51:55 +0200

haxml (1.17-1) experimental; urgency=low

  * New upstream release:
    -  New: lazier pretty-printer Text.XML.HaXml.ShowXmlLazy
    -  Works with ghc-6.6 (changed uses of Data.FiniteMap to Data.Map).
  * debian/control.in:
    - add ppc64 to the list of architectures which ghc6 supports.
    - drop cpphs from the Build-Depends as it is not used.
    - add dctrl-tools to Build-Depends as we use grep-dctrl in the
      debian/rules file.
  * debian/libghc6-haxml-dev.prerm: don't fail it HaXml is not
    registered.
  * debian/rules:
    - only install HaXml.package.conf if we are building
      libghc6-haxml-dev.
    - make configure script executable.
    - remove info about executables and empty lines from
      HaXml.package.conf.
    - make sure cpp gets called with the -P flag.
  * debian/patches/00_fix-makefile.dpatch: removed. Fixed upstream.
  * debian/patches/10_remove-deprecated-FiniteMap.dpatch: removed. Done
    upstream.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 14 Sep 2006 13:13:40 +0200

haxml (1.16-1) experimental; urgency=low

  * New upstream release.
    - This is a development version.
    - Adds a new set of lazy parser combinators which can be used to make
      a program quicker and make it use less memory. The side-effects are
      that if an error is found in the document and exception will be
      thrown and the error messages will be less accurate as with the
      original parser combinators.
    - The Xml2Haskell and Haskell2Xml classes are merged into a new
      XmlContent class.
    - A SAX like stream parser is added.
  * Sync Debian packaging with version 1.13.1-2.
  * debian/{Canonicalise.1,DtdToHaskell.1,MkOneOf.1,Validate.1,Xtract.1}:
    - update copyright years with info from COPYRIGHT file.
    - added information for CanonicaliseLazy and XtractLazy.
  * debian/copyright:
    - update copyright years with info from COPYRIGHT file.
    - added Debian packaging copyright notice.
  * debian/haxml.links: added. Create links for the CanonicalizeLazy and
    XtractLazy man pages.
  * debian/patches/07_no-hscolour-cmd.dpatch: added. Do not use HsColour
    when generating documentation as HsColour is not packaged for Debian.

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 14 Jul 2006 23:10:48 +0200

haxml (1.13.1-2) unstable; urgency=low

  * debian/patches/04_no-hugs-package-cmd.dpatch: fix bashism in this
    patch. (thanks John Goerzen).
  * debian/rules: install the linda override file for libhugs-haxml in the
    right location.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu,  6 Jul 2006 11:34:14 +0200

haxml (1.13.1-1) unstable; urgency=low

  * New upstream release.
    - Bugfix to permit percent character in attribute values.
    - Bugfix to parse unquoted attribute values starting '+' or '#' in
      HTML.
    - Bugfix to keep the original DTD in output of 'processXmlWith'.
  * First upload to the Debian archive (Closes: #310920)
  * debian/control.in:
    - Add libhugs-haxml entry again.
  * debian/libhugs-haxml.preinst.in: added. Divert HaXml library files
    shipped with Hugs until Hugs drops the HaXml library.
  * debian/libhugs-haxml.postrm.in: added. Remove diversions when
    libhugs-haxml is removed.
  * debian/rules:
    - switch from CDBS + simple-patchsys to simple debhelper + dpatch.
    - remove --buildwith flag to enable build of the Hugs library.
  * debian/patches: convert all patches to dpatch patch files.
  * debian/patches/07_redirect-haddock-output: dropped. Use dh_installdocs
    instead to install the API documentation.
  * debian/patches/09_correct-version.patch: dropped. The version number
    in the Makefile is correct now.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu,  6 Jul 2006 02:07:50 +0200

haxml (1.13-17) unstable; urgency=low

  * debian/copyright: added Debian packaging copyright notice.
  * debian/haxml-doc.doc-base: adjust to Index to the right index page.

 -- Arjan Oosting <arjanoosting@home.nl>  Wed,  5 Jul 2006 23:10:00 +0200

haxml (1.13-16) unstable; urgency=low

  * debian/control.in.in:
    - Use the new substitution variables binary:Version and source:Version
      and build depend on dpkg-dev (>= 1.13.19) which introduces these new
      variables.
    - Drop build dependency on ghc6 which is already pulled in by the
      build dependency on ghc6-prof.
    - Upgrade to policy version 3.7.2. No changes needed

 -- Arjan Oosting <arjanoosting@home.nl>  Mon,  8 May 2006 17:59:29 +0200

haxml (1.13-15) unstable; urgency=low

  * Backport some packaging updates, and cleanup source package.
  * Remove support for building nhc98 libraries, because it is removed
    from the archive.
  * debian/rules:
    - generate dependencies on ghc6 during build to make a (bin-)NMU
    easier.
    - cleanup mess from earlier packaging.
    - make sure targets only run once during build.
  * debian/control.in.in: loosen dependencies to make a bin-NMU easier.
  * debian/mk-ghc6-vars: added to generate ghc6:Depends substitution
    variable.
  * debian/changelog: fix some spelling mistakes.

 -- Arjan Oosting <arjanoosting@home.nl>  Tue, 11 Apr 2006 18:43:13 +0200

haxml (1.13-14) unstable; urgency=low

  * debian/rules: install more with debhelper.
  * Do not compress .dtd files in the examples.
  * Updated man pages to Branden Robinson's recommendations.
  * Don't install the README which does not contain useful information
    for us.
  * debian/patches/08_update-licences.patch: added. The FSF has a new
    address.

 -- Arjan Oosting <arjanoosting@home.nl>  Mon, 15 Aug 2005 18:30:00 +0200

haxml (1.13-13) unstable; urgency=low

  * Don't build libnhc98-haxml-dev and libhugs-haxml just yet. Wait
    until HaXml is removed from hugs and nhc98.
  * Ready for upload to Debian archive. (Closes: #310920)

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 30 Jun 2005 22:16:01 +0200

haxml (1.13-12) unstable; urgency=low

  * Ship LICENCE-GPL and LICENCE-LGPL again in haxml-doc, because
    /usr/share/common-licenses is not available when using an web server.
  * debian/patches/02_change-references.patch: updated.
  * debian/haxml-doc.doc-base: added. Register HaXml documentation.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 30 Jun 2005 17:35:32 +0200

haxml (1.13-11) unstable; urgency=low

  * Remove the COPYRIGHT, LICENSE-GPL and LICENSE-LGPL files from the
    haxml-doc binary.
  * debian/haxml-doc.linda-overrides: not longer necessary.
  * debian/02_refercompress.patch renamed to debian/patches/02_change-
    refernces.patch and changes references to COPYRIGHT, LICENCE-GPL and
    LICENCE-LGPL to respectively copyright, ../common-licenses/GPL and
    ../common-licenses/LGPL.
  * debian/patches/04_no-hugs-package-cmd.patch: updated to install the
    hugs library in the right place.
  * debian/rules: install examples in usr/share/doc/haxml-doc/examples.
  * debian/patches/07_redirect-haddock-output.patch, debian/rules: also
    link API documentation with haskell98 API documentation.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 30 Jun 2005 14:59:53 +0200

haxml (1.13-10) unstable; urgency=low

  * Changes in this version:
    - Install the libraries for nhc98 and hugs in the same place as
      the original libraries included with nhc98 and hugs. Note that
      libnhc98-haxml-dev and libhugs-haxml can't be installed until
      debian packages of nhc98 and hugs stop shipping HaXml.
    - Build libraries and binaries with -01 and honor
      DEB_BUILD_OPTIONS=noopt.
    - libnhc98-haxml-dev now supports heap and time profiling.
    - The HaXml API documentation in haxml-doc links to the Haskell base
      API documentation from ghc6-doc.
  * debian/patches/00_destdir.patch: updated.
  * debian/patches/01_configure_typo.patch: fix a typo in the configure
    script.
  * debian/patches/03_build-haxml-prof.patch: also build HaXml with
    profiling for nhc98.
  * debian/patches/04_no-hugs-package-cmd.patch: updated. Install
    library in /usr/lib/hugs/packages and do not install
    Text/PrettyPrint/HughesPJ.hs.
  * debian/patches/05_no-harch-cmd.patch: updated.
  * debian/patches/06_include-extra-objs.patch: removed.
  * debian/patches/06_hcflags_support.patch: add support for HCFLAGS.
  * debian/rules: use HCFLAGS to create optimized libraries and
    binaries.
  * New Standard-Version 3.6.2. No changes needed.
  * debian/patches/07_redirect-haddock-output.patch: added. Keeps
    original source clean (and diff.gz small).
  * debian/control.in.in: let the library packages recommend HaXml in
    stead of depending on it.
  * debian/control.in.in: add Replaces: hugs to libhugs-haxml as it
    replaces the HaXml package included in Hugs.
  * debian/control.in.in: add Replaces: nhc98 to libnhc98-haxml-dev as
    it replaces the HaXml package included in nhc98.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 30 Jun 2005 02:16:05 +0200

haxml (1.13-9) unstable; urgency=low

  * debian/rules: added update-haskell-control target to update
    /debian/control.
  * Disable DEB_AUTO_UPDATE_DEBIAN_CONTROL. Updating debian/control
    during regular builds is considered bad feature of cdbs.
    The update-debian-control target of debian/rules can be used to
    update debian/control.

 -- Arjan Oosting <arjanoosting@home.nl>  Sun,  5 Jun 2005 03:36:57 +0200

haxml (1.13-8) unstable; urgency=low

  * debian/patches/04_no-hugs-package-cmd.patch: use cpp to install
    haskell library.
  * debian/control.in.in: added. Use update-haskell-control to generate
    GHC and NHC98 (build) dependencies.
  * debian/rules: added update-haskell-control --check to verify
    consistency between debian/control.in.in and debian/control.in

 -- Arjan Oosting <arjanoosting@home.nl>  Sat,  4 Jun 2005 16:43:12 +0200

haxml (1.13-7) unstable; urgency=low

  * Rebuild for unstable.

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 27 May 2005 01:40:13 +0200

haxml (1.13-6) testing; urgency=low

  * debian/haxml.manpages: added man pages for all the binaries.
  * debian/rules: disable DEB_AUTO_UPDATE_DEBIAN_CONTROL.
  * debian/haxml-doc.linda-overrides: don't complain about the extra
    license files which are used in the documentation.
  * debian/rules: install linda overrides.
  * debian/libhugs-haxml.dirs, debian/haxml-doc.dirs: create linda
    overrides directory.

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 27 May 2005 01:00:19 +0200

haxml (1.13-5) unstable; urgency=low

  * Fix debian/rules; spaces are no tabs...

 -- Arjan Oosting <arjanoosting@home.nl>  Mon, 16 May 2005 02:43:47 +0200

haxml (1.13-4) unstable; urgency=low

  * Rebuild for unstable.

 -- Arjan Oosting <arjanoosting@home.nl>  Sun, 15 May 2005 06:23:45 +0200

haxml (1.13-3) testing; urgency=low

  * debian/patches/06_include-extra-objs.patch: nhc98 does not ship
    Text.PrettyPrinting.HughesPJ so include it in the archive.
  * debian/patches/02_refercompress.patch: updated.
  * debian/rules: (re)make documentation with haddock.

 -- Arjan Oosting <arjanoosting@home.nl>  Sun, 15 May 2005 06:00:45 +0200

haxml (1.13-2) testing; urgency=low

  * debian/libghc6-haxml-dev.postinst, debian/libghc6-haxml-dev.prerm,
    debian/rules: added support for ghc 6.4.

 -- Arjan Oosting <arjanoosting@home.nl>  Sun, 15 May 2005 02:49:01 +0200

haxml (1.13-1) testing; urgency=low

  * New upstream release.
    - Bug fixes to the document validator: no more infinite loops.
    - Bug fixes to lexing mixed text and references between quote chars.
    - Updated to work with ghc-6.4's new package mechanism.
  * Change from tarball-in-tarball packaging to normal upstream is
    orig.tar.gz packaging.
  * debian/libhugs-haxml.linda-overrides: ignore linda warning about
    files in /usr/lib in Architecture: all package libhugs-haxml.
  * debian/patches: updated to new upstream.
  * debian/control.in: Make libnhc98-haxml-dev architecture all again.
  * debian/watch: added watch file.

 -- Arjan Oosting <arjanoosting@home.nl>  Sun, 15 May 2005 01:53:08 +0200

haxml (1.12-5) unstable; urgency=low

  * debian/patches/03_build-haxml-prof.patch: add an profiled HaXml
    library.
  * debian/patches/04_no-hugs-package-cmd.patch: hugs-package does
    not exits, use cp -a instead.
  * debian/control.in: added ghc6-prof to build-depends.
  * debian/patches/05-no-harch-cmd.patch: harch is not available in
    Debian.
  * debian/control.in: only build libnhc98-haxml-dev for i386.

 -- Arjan Oosting <arjanoosting@home.nl>  Sun, 17 Apr 2005 06:41:14 +0200

haxml (1.12-4) unstable; urgency=low

  * debian/control.in:
    - move package haxml-doc to section doc.
    - correct Suggest of haxml.
    - correct Depends of libghc6-haxml-dev
  * debian/TODO: added.

 -- Arjan Oosting <arjanoosting@home.nl>  Thu, 10 Feb 2005 09:06:38 +0100

haxml (1.12-3) unstable; urgency=low

  * debian/patches/01_commonlicense.patch: removed
  * debian/rules: do not compress license files.
  * debian/haxml-doc.docs.in: copy license files.

 -- Arjan Oosting <arjanoosting@home.nl>  Tue,  8 Feb 2005 21:51:40 +0100

haxml (1.12-2) unstable; urgency=low

  * debian/patches/01_commonlicense.patch: fixed small error.
  * debian/patches/02_refercompress.patch: fixed typo.

 -- Arjan Oosting <arjanoosting@home.nl>  Tue,  8 Feb 2005 20:56:15 +0100

haxml (1.12-1) unstable; urgency=low

  * Initial Release.
  * debian/patches/00_destdir.patch: added support for DESTDIR in Makefile.
  * debian/patches/01_commonlicense.patch: change references to license
    files to license files in /usr/share/doc/common-licences.
  * debian/patches/02_refercompress.patch: change some references in
    index.html to references to compressed files for files which dh_compress
    compresses.

 -- Arjan Oosting <arjanoosting@home.nl>  Mon,  7 Feb 2005 18:36:29 +0100
